gavl

Data Fields
gavl_compression_info_s Struct Reference
Compressed stream support

Compression format. More...

`#include <compression.h>`

## Data Fields
int | flags
| ORed combination of GAVL_COMPRESSION_* flags.
gavl_codec_id_t | id
| Codec ID.
gavl_buffer_t | codec_header
| Global header.
int | bitrate
| Needed by some codecs, negative values mean VBR.
int | palette_size
| Size of the embedded palette for image codecs.
int | pre_skip
| Samples to skip at the start.
int | video_buffer_size
| VBV buffer size for video (in BYTES).
uint32_t | codec_tag
int | block_align

## Detailed Description

Compression format.

This defines parameters of the compression. The most important value is the gavl_codec_id_t. Formats, which support a global header, store it here as well.

Usually there must be an associated audio or video format, because some containers need this as well.

## Field Documentation

## ◆ flags

int gavl_compression_info_s::flags

ORed combination of GAVL_COMPRESSION_* flags.

## ◆ id

gavl_codec_id_t gavl_compression_info_s::id

Codec ID.

## ◆ codec_header

gavl_buffer_t gavl_compression_info_s::codec_header

Global header.

## ◆ bitrate

int gavl_compression_info_s::bitrate

Needed by some codecs, negative values mean VBR.

## ◆ palette_size

int gavl_compression_info_s::palette_size

Size of the embedded palette for image codecs.

## ◆ pre_skip

int gavl_compression_info_s::pre_skip

Samples to skip at the start.

## ◆ video_buffer_size

int gavl_compression_info_s::video_buffer_size

VBV buffer size for video (in BYTES).

The documentation for this struct was generated from the following file:

- compression.h